#include <p18f4431.h>

#include "motors.h"

#pragma config OSC  	= HSPLL  	// Oscillatore PLL 4x attivo
#pragma config WDTEN 	= OFF  		// Whatch dog disattivato
#pragma config PWRTEN 	= ON  		// Power UP timer abilitato
#pragma config LVP  	= OFF  		// Programmazione LVP disabilitata
#pragma config BOREN 	= OFF  		// Brown out Reset disabilitato
#pragma config BORV  	= 42  		// Tensione per Brown out Reset 4.2 Volt
#pragma config PWM4MX 	= RB5		// RB5 = PWM4

void initHW(void);

void main(void){
	
	initHW();
	initMotors(PWM_20K);
	setMotor(1, ENABLE, 1024);
	setMotor(2, ENABLE, 0);
	setMotor(3, ENABLE, -1024);
	while(1);
	return;
}

void initHW(void){
	
// PINs Direction
	TRISA = 0b11111111;		// Ananlogs and Encoder
	TRISB = 0b11000000;		// uscite PWM e ICSP
	TRISC = 0b10111001;		// I2C, RS232, pwm
	TRISD = 0x00000000;		// display lcd
	TRISE = 0x11110000;		// led

// PINs Initial State
	PORTA = 0x11111111;
	PORTB = 0x00000000;
	PORTC = 0x00000000;
	PORTD = 0x00000000;
	PORTE = 0x00000000;
	INTCON  = 0;     		// Clear Interrupt
	return;
}
